# $Revision: 1.10 $, $Date: 2008/12/14 12:55:29 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-Client-Keepalive
Summary:	POE::Component::Client::Keepalive - manage connections with keep-alive
Summary(pl.UTF-8):	POE::Component::Client::Keepalive - zarządzanie połączeniami keep-alive
Name:		perl-POE-Component-Client-Keepalive
Version:	0.25
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/POE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ecc86743c52c7ca70c207583f681a071
URL:		http://search.cpan.org/dist/POE-Component-Client-Keepalive/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-POE >= 1:0.3100
BuildRequires:	perl-POE-Component-Client-DNS >= 0.9801
%endif
Requires:	perl-POE >= 1:0.3100
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Component::Client::Keepalive creates and manages connections for
other components. It maintains a cache of kept-alive connections for
quick reuse. It is written specifically for clients that can benefit
from kept-alive connections, such as HTTP clients. Using it for
one-shot connections would probably be silly.

%description -l pl.UTF-8
POE::Component::Client::Keepalive tworzy i zarządza połączeniami dla
innych komponentów. Utrzymuje cache połączeń keep-alive do szybkiego
ponownego użycia. Jest napisany szczególnie dla klientów
korzystających z połączeń keep-alive, takich jak klienci HTTP.
Używanie go do pojedynczych połączeń byłoby prawdopodobnie głupie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/POE/Component/Client/Keepalive.pm
%dir %{perl_vendorlib}/POE/Component/Connection
%{perl_vendorlib}/POE/Component/Connection/Keepalive.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Component-Client-Keepalive.spec,v $
Revision 1.10  2008/12/14 12:55:29  agaran
- up to 0.25

Revision 1.9  2008/11/27 19:11:45  agaran
- up to 0.23, builds here

Revision 1.8  2008/09/22 18:25:50  qboosh
- epoch 1 (0.1000 > 0.21 for rpm)

Revision 1.7  2008/09/20 22:28:15  duddits
- up to 0.21

Revision 1.6  2007/05/27 10:17:08  agaran
- up to 0.1000, rel 1, builds here

Revision 1.5  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.3  2006/10/27 22:15:28  ankry
- ver. 0.0901

Revision 1.2  2006/08/20 11:13:56  qboosh
- descs, pl, cleaned up this huge mess (maybe it should be cvs rmed instead?)

Revision 1.1  2006/08/06 21:31:08  agaran
- initial, 0.801, rel 0.1, builds here
